#version 130

uniform mat4    m4View;
uniform mat4    m4Model;

in      vec2    v2Position;
in      vec2    v2Texture;
in      vec4    v4Color;

out     vec2    fv2Texture;
out     vec4    fv4Color;

void main()
{
    fv4Color   = v4Color;
    fv2Texture = v2Texture;

    gl_Position = m4View * m4Model * vec4(v2Position.xy, 1, 1);
}
